Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.demos.Camineet
Class CDArea

    java.lang.Object
      com.huguesjohnson.tiamat.Area
          com.huguesjohnson.tiamat.demos.Camineet.CDArea

All Implemented Interfaces:
  Storable

public class CDArea
extends Area

CDArea - extension of the Area class with custom properties for this demo

Author:
  Hugues Johnson

Field Summary

Fields inherited from class com.huguesjohnson.tiamat.Area
`absoluteDir`

Constructor Summary
`CDArea()`

Method Summary
`java.awt.image.BufferedImage` | `getBgImage()` Returns the background image for this CDArea.
`java.lang.String` | `getBgImagePath()` Returns the relative path to the background image.
`java.lang.String` | `getBgImagePathAbsolute()` Returns the absolute path to the background image.
`java.lang.String` | `getBgMusicPath()` Returns the relative path to the background music.
`java.lang.String` | `getBgMusicPathAbsolute()` Returns the absolute path to the background music.
`AreaExit[]` | `getExits()` Retuns all the exits from this Area.
`ItemListEntry[]` | `getItemList()` Returns a list of all the Items in the Area.
`java.awt.image.BufferedImage` | `getOverlayImage()` Returns the overlay image for this CDArea.
`java.lang.String` | `getOverlayImagePath()` Returns the relative path to the overlay image.
`java.lang.String` | `getOverlayImagePathAbsolute()` Returns the absolute path to the overlay image.
`void` | `onDeserialize(Formatter formatter, java.lang.String absoluteDir)` The onDeserialize event should be fired after an object is de-serialized.
`void` | `setBgImagePath(java.lang.String bgImagePath)` Sets the relative path to the background image.
`void` | `setBgMusicPath(java.lang.String bgMusicPath)` Sets the relative path to the background music.
`void` | `setExits(AreaExit[] exits)` Sets all the exits from this Area.
`void` | `setItemList(ItemListEntry[] itemList)` Sets a list of all the Items in the Area.
`void` | `setOverlayImagePath(java.lang.String overlayImagePath)` Sets the relative path to the overlay image.

Methods inherited from class com.huguesjohnson.tiamat.Area
`addCharacter, addLayer, getCharacter, getCharacterPaths, getCharacters, getLayer, getLayers, setAbsoluteDir, setCharacters, setLayers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDArea

    public CDArea()

Method Detail

### getExits

    public AreaExit[] getExits()

  Retuns all the exits from this Area.

  Returns:
    All the exits from this Area.

### setExits

    public void setExits(AreaExit[] exits)

  Sets all the exits from this Area.

  Parameters:
    `exits` - All the exits from this Area.

### getItemList

    public ItemListEntry[] getItemList()

  Returns a list of all the Items in the Area.

  Returns:
    A list of al the Items in the Area.

### setItemList

    public void setItemList(ItemListEntry[] itemList)

  Sets a list of all the Items in the Area.

  Parameters:
    `itemList` - The list of al the Items in the Area.

### getBgMusicPath

    public java.lang.String getBgMusicPath()

  Returns the relative path to the background music.

  Returns:
    The relative path to the background music.

### setBgMusicPath

    public void setBgMusicPath(java.lang.String bgMusicPath)

  Sets the relative path to the background music.

  Parameters:
    `bgMusicPath` - The relative path to the background music.

### getBgMusicPathAbsolute

    public java.lang.String getBgMusicPathAbsolute()

  Returns the absolute path to the background music.

  Returns:
    The absolute path to the background music.

### setBgImagePath

    public void setBgImagePath(java.lang.String bgImagePath)

  Sets the relative path to the background image.

  Parameters:
    `bgImagePath` - The relative path to the background image.

### getBgImagePath

    public java.lang.String getBgImagePath()

  Returns the relative path to the background image.

  Returns:
    The relative path to the background image.

### getBgImagePathAbsolute

    public java.lang.String getBgImagePathAbsolute()

  Returns the absolute path to the background image.

  Returns:
    The absolute path to the background image.

### getBgImage

    public java.awt.image.BufferedImage getBgImage()

  Returns the background image for this CDArea.

  Returns:
    The background image for this CDArea.

### getOverlayImage

    public java.awt.image.BufferedImage getOverlayImage()

  Returns the overlay image for this CDArea.

  Returns:
    The overlay image for this CDArea.

### setOverlayImagePath

    public void setOverlayImagePath(java.lang.String overlayImagePath)

  Sets the relative path to the overlay image.

### getOverlayImagePath

    public java.lang.String getOverlayImagePath()

  Returns the relative path to the overlay image.

  Returns:
    The relative path to the overlay image.

### getOverlayImagePathAbsolute

    public java.lang.String getOverlayImagePathAbsolute()

  Returns the absolute path to the overlay image.

  Returns:
    The absolute path to the overlay image.

### onDeserialize

    public void onDeserialize(Formatter formatter,
                              java.lang.String absoluteDir)

  The onDeserialize event should be fired after an object is de-serialized. This allows objects to load transient members, set their working directory, and load Storable members if needed.

  Specified by:
    `onDeserialize` in interface `Storable`
  Overrides:
    `onDeserialize` in class `Area`
  Parameters:
    `formatter` - the formatter to use to load any storable members
    `absoluteDir` - the working directory since all paths stored in the object should be relative

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD